GET api/NTCosCompany/GetProjectLocation?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfProjectLocationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of ProjectLocationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"CorporationCode": "sample string 2",
"Name": "sample string 3",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:50:18.8844151-07:00",
"DateUpdated": "2026-06-20T12:50:18.8844151-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CorporationCode": "sample string 2",
"Name": "sample string 3",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:50:18.8844151-07:00",
"DateUpdated": "2026-06-20T12:50:18.8844151-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}